Skip to content

Get Attribute by ID

GET/pimapi/v1/attributes/{attributeId}

Retrieve detailed properties, rules, and value list constraints of a single attribute by its ID.


ParameterTypeRequiredDescription
attributeIdstringYesUnique ID of the attribute to retrieve (e.g., COLOR).
ParameterTypeRequiredDefaultDescription
languageIdstringNoLanguage tag to localize descriptions (e.g., en, de). If omitted, all translated values are returned.

Terminal window
curl -X GET "https://dev.pxm.eu.prodexa.com/pxm/pimapi/v1/attributes/COLOR?languageId=en" \
-H "X-API-KEY: your_hex_api_key" \
-H "Accept: application/json"

Returns the fully expanded attribute metadata object.

{
"status": 200,
"meta": {
"languageId": "en"
},
"data": {
"attributeId": "COLOR",
"extAttributeId": "EXT_COLOR_99",
"attribute.description": [
{
"languageId": "en",
"value": "Color"
}
],
"attribute.longDescription": [
{
"languageId": "en",
"value": "Standard marketing color selection of product"
}
],
"fallbackDescription": "Color",
"extClassificationSystem": "eCl@ss",
"extDefaultName": "Color",
"isDefaultOverwritable": false,
"isMultiLanguage": true,
"isMultivalued": false,
"isReadonly": false,
"isSupplierResponse": false,
"excludeFromProductSearch": false,
"expression": null,
"facetOrderNo": 5,
"documentUrl": null,
"isRequired": false,
"isVariable": true,
"orderNo": 1,
"attributeSection": {
"attributeSectionId": "TECHNICAL_DETAILS",
"description": [
{
"languageId": "en",
"value": "Technical Details"
}
]
},
"attributeType": {
"type": "VALUE_LIST",
"typeExtension": {
"isRequired": false,
"isVariable": true,
"orderNo": 1,
"defaultValue": "BLACK",
"unitOfMeasure": {
"unitOfMeasureId": "UOM_PCS",
"unitOfMeasureId.symbol": "pcs",
"unitOfMeasureId.description": [
{
"languageId": "en",
"value": "Pieces"
}
]
},
"valueList": {
"valueListId": "VL_COLORS",
"description": [
{
"languageId": "en",
"value": "Colors list"
}
],
"valueListItems": [
{
"value": "BLACK",
"description": [
{
"languageId": "en",
"value": "Black"
}
],
"fallBackDescription": "Black",
"orderNo": 1
},
{
"value": "WHITE",
"description": [
{
"languageId": "en",
"value": "White"
}
],
"fallBackDescription": "White",
"orderNo": 2
}
]
}
}
},
"createdOn": "2026-06-15T09:00:00Z",
"createdBy": "admin",
"changedOn": "2026-06-17T11:00:00Z",
"changedBy": "editor_1"
}
}

Returned if the specified attribute ID does not exist in the system.

{
"status": 404,
"meta": {
"languageId": "en"
},
"error": "No Attribute found"
}